<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelEntity Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelEntity Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelEntity" --><!-- doxytag: inherits="iBase" -->
<p>This is an entity in the CEL layer at the PL (physical layer) side.  
 <a href="structiCelEntity.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="entity_8h_source.html">physicallayer/entity.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelEntity:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelEntity.png" usemap="#iCelEntity_map" alt=""/>
  <map id="iCelEntity_map" name="iCelEntity_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,65,24"/>
</map>
 </div></div>

<p><a href="structiCelEntity-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a96584263114e42a65237aafa2d9fd6f9">AddClass</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> cls)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a class to this entity.  <a href="#a96584263114e42a65237aafa2d9fd6f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiMessageDispatcher.html">iMessageDispatcher</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#af57597b44996893912992c524c6f351d">CreateTaggedMessageDispatcher</a> (<a class="el" href="structiMessageSender.html">iMessageSender</a> *sender, const char *msg_id, const char *tag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a special version of CreateMessageDispatcher() as it can be found in the channel.  <a href="#af57597b44996893912992c524c6f351d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelBehaviour.html">iCelBehaviour</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#ade7eb1455c12e84e804c1555b42690e7">GetBehaviour</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the behaviour layer entity associated with this entity.  <a href="#ade7eb1455c12e84e804c1555b42690e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsSet.html">csSet</a>&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#ab7ca1649f654251f84672ccaa6dffa92">GetClasses</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the set of classes for this entity.  <a href="#ab7ca1649f654251f84672ccaa6dffa92"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga91ad9478d81a7aaf2593e8d9c3d06a14">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a405e9553894776f819b89c56397da1fa">GetID</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the (unique) ID of the entity.  <a href="#a405e9553894776f819b89c56397da1fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a055a677a84034806ffeafb9e9a6516ee">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this entity.  <a href="#a055a677a84034806ffeafb9e9a6516ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelPropertyClassList.html">iCelPropertyClassList</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a3ea47483cc0cea4d46537a2f1664bd13">GetPropertyClassList</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the list of property classes.  <a href="#a3ea47483cc0cea4d46537a2f1664bd13"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a271c847f294a25c18c1a67675c601865">HasClass</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> cls)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if this entity belongs to some class.  <a href="#a271c847f294a25c18c1a67675c601865"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiMessageChannel.html">iMessageChannel</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#af16f3da4f2497ce43cc8abcd5d831a55">QueryMessageChannel</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An entity is a message channel.  <a href="#af16f3da4f2497ce43cc8abcd5d831a55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a7334e8483ef8b0617a96f9a64c026401">QueryObject</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a> for this entity (if supported).  <a href="#a7334e8483ef8b0617a96f9a64c026401"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a3e47e6aa1ac207052a9f91c19f80622c">RemoveClass</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> cls)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a class from this entity.  <a href="#a3e47e6aa1ac207052a9f91c19f80622c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#aa28d8e718e38e14528f6c1aef9af9769">SetBehaviour</a> (<a class="el" href="structiCelBehaviour.html">iCelBehaviour</a> *behaviour)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the behaviour layer entity associated with this entity.  <a href="#aa28d8e718e38e14528f6c1aef9af9769"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a24472c9c21642fe0c50c0988821fd184">SetID</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga91ad9478d81a7aaf2593e8d9c3d06a14">uint</a> n)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (unique) ID of the entity.  <a href="#a24472c9c21642fe0c50c0988821fd184"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntity.html#a9d89ce98eced0af0323e7ff62c9ce629">SetName</a> (const char *n)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of this entity.  <a href="#a9d89ce98eced0af0323e7ff62c9ce629"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is an entity in the CEL layer at the PL (physical layer) side. </p>
<p>Every object in the game is represented by an entity. The entity system allows the game programmer (using CEL) to speak to game objects in a consistent manner. Examples of entities are the player, the world itself, creates, a candle, objects in general and items.</p>
<p>Entities are generally created, and destroyed, as required by the Physical Layer at the request of the Behaviour Layer. </p>

<p>Definition at line <a class="el" href="entity_8h_source.html#l00047">47</a> of file <a class="el" href="entity_8h_source.html">entity.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a96584263114e42a65237aafa2d9fd6f9"></a><!-- doxytag: member="iCelEntity::AddClass" ref="a96584263114e42a65237aafa2d9fd6f9" args="(csStringID cls)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntity.html#a96584263114e42a65237aafa2d9fd6f9">iCelEntity::AddClass</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>cls</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a class to this entity. </p>
<p>A class is an application defined attribute which indicates to what the entity belongs. It can be something like 'weapon' or 'creature' or whatever the application desires. </p>

</div>
</div>
<a class="anchor" id="af57597b44996893912992c524c6f351d"></a><!-- doxytag: member="iCelEntity::CreateTaggedMessageDispatcher" ref="af57597b44996893912992c524c6f351d" args="(iMessageSender *sender, const char *msg_id, const char *tag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt;<a class="el" href="structiMessageDispatcher.html">iMessageDispatcher</a>&gt; <a class="el" href="structiCelEntity.html#af57597b44996893912992c524c6f351d">iCelEntity::CreateTaggedMessageDispatcher</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiMessageSender.html">iMessageSender</a> *&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>msg_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is a special version of CreateMessageDispatcher() as it can be found in the channel. </p>
<p>This version only allows receivers that are property classes that have a certain tag. </p>

</div>
</div>
<a class="anchor" id="ade7eb1455c12e84e804c1555b42690e7"></a><!-- doxytag: member="iCelEntity::GetBehaviour" ref="ade7eb1455c12e84e804c1555b42690e7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelBehaviour.html">iCelBehaviour</a>* <a class="el" href="structiCelEntity.html#ade7eb1455c12e84e804c1555b42690e7">iCelEntity::GetBehaviour</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the behaviour layer entity associated with this entity. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the <a class="el" href="structiCelBehaviour.html" title="This is an entity in the CEL layer at the BL (behaviour layer) side.">iCelBehaviour</a> object representing the behaviour layer for this entity. </dd></dl>

</div>
</div>
<a class="anchor" id="ab7ca1649f654251f84672ccaa6dffa92"></a><!-- doxytag: member="iCelEntity::GetClasses" ref="ab7ca1649f654251f84672ccaa6dffa92" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsSet.html">csSet</a>&lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&gt;&amp; <a class="el" href="structiCelEntity.html#ab7ca1649f654251f84672ccaa6dffa92">iCelEntity::GetClasses</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the set of classes for this entity. </p>

</div>
</div>
<a class="anchor" id="a405e9553894776f819b89c56397da1fa"></a><!-- doxytag: member="iCelEntity::GetID" ref="a405e9553894776f819b89c56397da1fa" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga91ad9478d81a7aaf2593e8d9c3d06a14">uint</a> <a class="el" href="structiCelEntity.html#a405e9553894776f819b89c56397da1fa">iCelEntity::GetID</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the (unique) ID of the entity. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A uint uniquely representing this entity. </dd></dl>

</div>
</div>
<a class="anchor" id="a055a677a84034806ffeafb9e9a6516ee"></a><!-- doxytag: member="iCelEntity::GetName" ref="a055a677a84034806ffeafb9e9a6516ee" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelEntity.html#a055a677a84034806ffeafb9e9a6516ee">iCelEntity::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this entity. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the name of this entity. </dd></dl>

</div>
</div>
<a class="anchor" id="a3ea47483cc0cea4d46537a2f1664bd13"></a><!-- doxytag: member="iCelEntity::GetPropertyClassList" ref="a3ea47483cc0cea4d46537a2f1664bd13" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelPropertyClassList.html">iCelPropertyClassList</a>* <a class="el" href="structiCelEntity.html#a3ea47483cc0cea4d46537a2f1664bd13">iCelEntity::GetPropertyClassList</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the list of property classes. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>An pointer to an <a class="el" href="structiCelPropertyClassList.html" title="A list of property classes.">iCelPropertyClassList</a> containing a list of the property classes for this entity. </dd></dl>

</div>
</div>
<a class="anchor" id="a271c847f294a25c18c1a67675c601865"></a><!-- doxytag: member="iCelEntity::HasClass" ref="a271c847f294a25c18c1a67675c601865" args="(csStringID cls)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelEntity.html#a271c847f294a25c18c1a67675c601865">iCelEntity::HasClass</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>cls</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if this entity belongs to some class. </p>

</div>
</div>
<a class="anchor" id="af16f3da4f2497ce43cc8abcd5d831a55"></a><!-- doxytag: member="iCelEntity::QueryMessageChannel" ref="af16f3da4f2497ce43cc8abcd5d831a55" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiMessageChannel.html">iMessageChannel</a>* <a class="el" href="structiCelEntity.html#af16f3da4f2497ce43cc8abcd5d831a55">iCelEntity::QueryMessageChannel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>An entity is a message channel. </p>
<p>Instead of doing scfQueryInterface to fetch the message channel you can also use this function. </p>

</div>
</div>
<a class="anchor" id="a7334e8483ef8b0617a96f9a64c026401"></a><!-- doxytag: member="iCelEntity::QueryObject" ref="a7334e8483ef8b0617a96f9a64c026401" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a>* <a class="el" href="structiCelEntity.html#a7334e8483ef8b0617a96f9a64c026401">iCelEntity::QueryObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a> for this entity (if supported). </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a> for this entity if supported, otherwise 0. </dd></dl>

</div>
</div>
<a class="anchor" id="a3e47e6aa1ac207052a9f91c19f80622c"></a><!-- doxytag: member="iCelEntity::RemoveClass" ref="a3e47e6aa1ac207052a9f91c19f80622c" args="(csStringID cls)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntity.html#a3e47e6aa1ac207052a9f91c19f80622c">iCelEntity::RemoveClass</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>cls</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a class from this entity. </p>

</div>
</div>
<a class="anchor" id="aa28d8e718e38e14528f6c1aef9af9769"></a><!-- doxytag: member="iCelEntity::SetBehaviour" ref="aa28d8e718e38e14528f6c1aef9af9769" args="(iCelBehaviour *behaviour)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntity.html#aa28d8e718e38e14528f6c1aef9af9769">iCelEntity::SetBehaviour</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelBehaviour.html">iCelBehaviour</a> *&#160;</td>
          <td class="paramname"><em>behaviour</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the behaviour layer entity associated with this entity. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">behaviour</td><td>A pointer to the <a class="el" href="structiCelBehaviour.html" title="This is an entity in the CEL layer at the BL (behaviour layer) side.">iCelBehaviour</a> object representing the behaviour layer for this entity. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a24472c9c21642fe0c50c0988821fd184"></a><!-- doxytag: member="iCelEntity::SetID" ref="a24472c9c21642fe0c50c0988821fd184" args="(uint n)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntity.html#a24472c9c21642fe0c50c0988821fd184">iCelEntity::SetID</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga91ad9478d81a7aaf2593e8d9c3d06a14">uint</a>&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the (unique) ID of the entity. </p>
<p>@@ UGLY! This should be removed as soon as we find another solution for this problem!!!! See history.txt entry of 23-Jan-2003. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">n</td><td>A uint to uniquely represent this entity. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9d89ce98eced0af0323e7ff62c9ce629"></a><!-- doxytag: member="iCelEntity::SetName" ref="a9d89ce98eced0af0323e7ff62c9ce629" args="(const char *n)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntity.html#a9d89ce98eced0af0323e7ff62c9ce629">iCelEntity::SetName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of this entity. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">n</td><td>A pointer to the name to set for this entity. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="entity_8h_source.html">entity.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
